import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderWhereInputObjectSchema as CloudFolderWhereInputObjectSchema } from './CloudFolderWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => CloudFolderWhereInputObjectSchema).optional(),
  some: z.lazy(() => CloudFolderWhereInputObjectSchema).optional(),
  none: z.lazy(() => CloudFolderWhereInputObjectSchema).optional()
}).strict();
export const CloudFolderListRelationFilterObjectSchema: z.ZodType<Prisma.CloudFolderListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderListRelationFilter>;
export const CloudFolderListRelationFilterObjectZodSchema = makeSchema();
